# $Id: buffer.spec,v 1.4 2016/02/08 06:33:28 stephdl Exp $

Summary: general purpose buffer programm
Name: buffer
Version: 1.19
Release: 11%{?dist}
License: GPL
Group: Applications/System
Source: http://sunsite.org.uk/public/public/packages/buffer/buffer-1.19.shar
Patch0: buffer-1.19.patch
Patch1: buffer-largefile.patch
Patch2: no_shmat.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a program designed to speed up writing tapes on remote tape
drives. After startup it splits itself into two processes.  The first 
process reads (and reblocks) from stdin into a shared memory buffer.  
The second writes from the shared memory buffer to stdout.  Doing it this way
means that the writing side effectly sits in a tight write loop and
doesn't have to wait for input.  Similarly for the input side.  It is
this waiting that slows down other reblocking processes, like dd.

%prep
%setup -q -c %{name}-%{version} -T
sh $RPM_SOURCE_DIR/%{name}-%{version}.shar

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall" CXXFLAGS="-g"

%install
install -m 755 -D buffer $RPM_BUILD_ROOT%{_bindir}/buffer
install -m 644 -D buffer.man $RPM_BUILD_ROOT%{_mandir}/man1/buffer.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/buffer
%{_mandir}/man1/buffer.1*

%changelog
* Tue Mar 12 2024 Jean-Philippe Pialasse <jpp@koozali.org> 1.19-11.sme
- add CXXFLAGS="-g" to build against el8
- remove -s tag in CFLAGS

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Feb 7 2016 Daniel Berteaud <daniel@firewall-services.com> 1.19-9.sme
- Rebase patches so it builds on el7 [SME: 9233]

* Sun Feb 7 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 1.19-7.sme
- Build for sme10

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Mon Mar 13 2006 Shad L. Lords <slords@mail.com> 1.19-6sme
- Remove shmat definition so x86_64 builds correctly

* Thu Jun 19 2003 Charlie Brady <charlieb@e-smith.com> 1.19-5es
- Rebuild in-house to ensure library version compatibility.

* Sun Jan  5 2003 Edwin Huffstutler <edwinh@computer.org>
- added O_LARGEFILE

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- rebuilt

* Wed Jun 07 2000 Than Ngo <than@redhat.de>
- use rpm macros

* Mon Jun 05 2000 Michael Stefaniuc <mstefani@redhat.com>
- rewrote the spec file
- rewrote and extended the buffer patch
